#include <libplayerc++/playerc++.h>
#include <iostream>
#include <cmath>
using namespace PlayerCc;
using namespace std;

#include "args.h"


int main(int argc, char** argv)
{
	parse_args(argc,argv);
	FiducialProxy *fp1 = NULL;
	FiducialProxy *fp2 = NULL;
	cout.precision(2);

	// we throw exceptions on creation if we fail
	try
	{
		PlayerClient robot(gHostname, gPort);
		Position2dProxy pp(&robot, gIndex);

		fp1 = new FiducialProxy (&robot, 0);
		fp2 = new FiducialProxy (&robot, 1);

		cout << robot << endl;

		pp.SetMotorEnable (true);

		pp.SetSpeed(0.7, 0.05);

		// go into read-think-act loop
		for(;;)
		{
			robot.Read();
			double x = 0;
			double y = 0;

			if (fp1->GetCount() > 0) {
			  unsigned short i = 0;
			  for (; i < fp1->GetCount(); i++) {
			    x = fp1->GetFiducialItem(i).pose.px;
			    y = fp1->GetFiducialItem(i).pose.py;
			    cout << endl << "fp1 i=" << i << ":  x: " << x << "  y: " << y << endl;
			  }
			}
			if (fp2->GetCount() > 0) {
			  unsigned short i = 0;
			  for (; i < fp2->GetCount(); i++) {
			    x = fp2->GetFiducialItem(i).pose.px;
			    y = fp2->GetFiducialItem(i).pose.py;
			    cout << endl << "fp2 i= " << i << ":  x: " << x << "  y: " << y << endl;
			  }
			}
  
			pp.SetSpeed(0.7, 0.05);
			cout << endl;
		}
	}
	catch (PlayerCc::PlayerError e)
	{
		cerr << e << endl;
		return -1;
	}
}
